# vscodeLiveCoding

👋

<a href="https://aka.ms/vsls-zelda"><img src="https://aka.ms/vsls-zelda" width="500px" /></a>

# Contents

- [Editor Extensions](#extensions)
    - [Visual Studio Code](#visual-studio-code)
        - [Communication](communication)
        - [Drawing](#drawing)
        - [Testing](#testing)
        - [Version Control](#version-control)
      
    - [Visual Studio](#visual-studio)
      
- [Resources](#resources)
    - [Articles](#articles)
    - [Documentation](#documentation) 
    - [Extensibility SDKS](#extensibility-sdks)
    - [Workflow Details](#workflow-details)

## Editor Extensions

While Visual Studio Live Share provides a rich collaborative experience out-of-the-box (e.g. editing, debugging, terminals, localhost servers), it's also fully [extensible](#exensibility-sdks), which enables 3<sup>rd</sup> party extensions to augment it in new and interesting ways. Check out the following extensions in order to up-level your Live Coding collaboration sessions:

### Visual Studio Code

#### Chat / Communication

- [CodeStream](https://marketplace.visualstudio.com/items?itemName=CodeStream.codestream) - Provides an integrated chat and rich commenting system, that includes the ability to easily spin up Live Share sessions from a chat thread.
- [Discord Presence](https://marketplace.visualstudio.com/items?itemName=icrawl.discord-vscode) - Allows other Discord users to easily spectate and/or join your active Live Share sessions ([example](https://twitter.com/LostInTangent/status/1070566201078640640)).
- [Live Share Audio](https://aka.ms/vsls-audio) - Provides integrated audio calling for Live Share sessions, without needing to use a seperate service ([example](https://twitter.com/lostintangent/status/1075155769870307329)).


#### Drawing

- [Drawio Integration](https://marketplace.visualstudio.com/items?itemName=hediet.vscode-drawio) - Provides a rich diagraming canvas, that includes a fully collaborative experience, including shared cursors for all participants ([example](https://twitter.com/hediet_dev/status/1312498683347263488)).
- [Live Share Whiteboard](https://aka.ms/vsls-whiteboard) - Provides a real-time, collaborative whiteboard to Live Share sessions ([example](https://twitter.com/lostintangent/status/1079846355290415104)). 

#### Miscellaneous

- [Chronicler](https://marketplace.visualstudio.com/items?itemName=arcsine.chronicler) - Allows you to automatically record a video of your Live Share sessions, for later use/reference (e.g. sharing with the team).
- [Profile Switcher](https://marketplace.visualstudio.com/items?itemName=aaronpowell.vscode-profile-switcher) - Allows you to define a settings profile that is activated/deactivated when you start/end a Live Share session ([example](https://user-images.githubusercontent.com/116461/60541846-4dd8f580-9cc7-11e9-8b57-b8aca0252fb4.gif)).

#### Documentation
- [Commands]
  - liveRecorder: start session : to start new session
  - liveRecorder: join session : to join new session
  - liveRecorder: stop session : to stop new session
  - liveRecorder: start call : to start a call 
  - liveRecorder: stop call : to stop a call
  - liveRecorder: relivesession : to open the video of the session and start to recreate the project
  - liveRecorder: start Recording : to start recording the video
  - liveRecorder: stop Recording : to stop recording the video
  - liveRecorder: open white : to start a call

